import java.util.Scanner;

public class Vector
{
  private int x = 0;
  private int y = 0;
  private static Scanner teclado = new Scanner(System.in);
  
  public boolean leer()
  {
    System.out.print("x: ");
    x = teclado.nextInt();
    if (x==0) return false;
    
    System.out.print("y: ");
    y = teclado.nextInt();
    return true;
  }
  
  public String toString()
  {
    return "(" + x + ";" + y + ");" + "(" + Math.sqrt((x*x) + (y*y)) + "," + Math.atan2(y,x) + ")";
  }
  
  
  public Vector(double x, double y)
   {
      coordenadaX = x;
      coordenadaY = y;
   }
  
  public Vector suma (Vector vector2)
  {
      return new Vector (x + vector2.x, y + vector2.y);
      
   }
}
  
   
  
  

    
     
    
    
    
  
  
  
  

  
  
    
    